﻿using System.Diagnostics;
using System.Net;

namespace AbstractTcpServer
{
    class Program
    {
        static void Main()
        {
            Trace.Listeners.Add(new ConsoleTraceListener());
            Trace.AutoFlush = true;

            IPAddress ipAddress = IPAddress.Parse("127.0.0.1");
            int port = 7;
            ITcpServer server = new EchoServer(ipAddress, port);
            server.Start();
        }
    }
}
